Cómo volver a una versión anterior de WordPress

Actualizar WordPress no es solo la decisión adecuada para disfrutar de las novedades de cada versión sino que es lo más recomendable para tener una instalación segura. No obstante, hay ocasiones en que se hace necesario volver a una versión anterior de WordPress.

regreso al futuro pasado

Hay ocasiones en que un plugin o tema no es compatible con una actualización de WordPress y te das cuenta de ello después de actualizar.

En este tipo de casos, mientras se actualiza el plugin o tema para poder convivir con la última versión de WordPress puede ser necesario volver a una versión anterior, en la que si funcionaba.

Otras veces es simplemente que no te gusta la nueva versión pero, en serio, que no sea este el motivo.

En ambos casos, el procedimiento sería el siguiente:

  1. Edita el fichero wp-config.php de la instalación actual añadiendo la siguiente línea:

    De este modo evitas que WordPress se actualice solo sin tu intervención y que no tengas que volver a empezar desde el principio de nuevo.
  2. Descarga la versión a la que quieres des-actualizar desde el almacén de versiones de WordPress España. Si por algún motivo necesitas volver a una versión anterior a la 2.5 entonces descárgala desde el repositorio oficial en inglés, donde tienes absolutamente todas las versiones.
  3. Descomprime el fichero zip que contiene la versión descargada y, mediante FTP, sube a la carpeta de tu instalación todos los archivos y carpetas descomprimidos excepto la carpeta wp-content porque sino sustituirías la tuya por la nueva y perderías todas las personalizaciones del tema y plugins, además de todos los archivos que hayas subido. Cuidado con esto, mi truco para evitar este error es borrar la carpeta wp-content recién descomprimida para así no dar lugar a la posibilidad de subirla al servidor.
  4. Accede a la siguiente dirección de tu sitio por si fuera necesario actualizar la base de datos: tusitio.com/wp-admin/upgrade.php

Ya está, si has seguido los pasos simplemente accede a tu escritorio de WordPress para comprobar que se ha des-actualizado. Pero no te duermas en los laureles o te arrepentirás más pronto que tarde, ponte las pilas y actualiza el tema o plugin incompatible, que no es buena idea nunca tener una versión de WordPress o un plugin sin actualizar, serían puerta de entrada fácil a hackers.

¿Otro consejo? Siempre que te sea posible es mejor usar otro tema o plugin que no te obligue a no estar actualizado que vivir con el riesgo y la inseguridad de tener una versión antigua de un plugin o WordPress.

AVISO: esta publicación es de hace dos años o más. Si es un código o un plugin podría no funcionar en las últimas versiones de WordPress, y si es una noticia podría estar ya obsoleta. Luego no digas que no te hemos avisado.

Valora este artículo para mejorar la calidad del blog ...

Al hacer una valoración se recoge una cookie con la IP de tu dispositivo

FlojitoNo está malEstá bienMe ha servidoFantástico (26 votos, promedio: 5,00 de 5)
Cargando…

Autor: Fernando Tellado

Fernando Tellado, apasionado de WordPress, profesor, consultor y ponente. Maquero cansino, padre de tres hijos y de una perrita Beagle, Bilbaíno de nacimiento, Español de corazón y ciudadano de donde me quieran. Autor del libro WordPress - La tela de la araña. Mi blog personal es Navegando con red, donde he crecido como escritor en la red y ofrezco mis visiones acerca de la Web 2.0 y la blogosfera.

Comparte esta entrada en
468 ad

Centro de preferencias de privacidad

Cookies imprescindibles

Se usan para saber si ya aceptaste nuestras políticas y para servir más rápidos los contenidos.

gpdr, wpSGCacheBypass

Cookies de terceros

Usamos cookies de terceros en las que se almacenan externamente para conocer tus usos de navegación, si ya estás suscrito al boletín y los elementos compartidos en redes sociales

cfduit_, intercom-id, intercom-lou, mailerlite:language, mailerlite:webform, _ga, _gid

Pin It on Pinterest

if ( is_allowed_cookie( '_cfduit' ) { }